# Uses of Interface
org.eclipse.core.runtime.IAdapterManager

Packages that use IAdapterManager
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.
org.eclipse.ui.databinding.typed

## Uses of IAdapterManager in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime that return IAdapterManager
Modifier and Type
Method
Description
`static IAdapterManager`
Platform.`getAdapterManager()`
Returns the adapter manager used for extending `IAdaptable` objects.

## Uses of IAdapterManager in org.eclipse.ui.databinding.typed

Methods in org.eclipse.ui.databinding.typed with parameters of type IAdapterManager
Modifier and Type
Method
Description
`static <S, T> IValueProperty<S,T>`
WorkbenchProperties.`adaptedValue(Class<T> adapter, IAdapterManager adapterManager)`
Returns a value property which observes the source object as the adapted type.